import { type Container, type ICoordinates, type IEffectDrawer, type IShapeDrawData, type Particle } from "@tsparticles/engine";
interface TrailStep {
    color: string | CanvasGradient | CanvasPattern;
    position: ICoordinates;
    transformData?: {
        a: number;
        b: number;
        c: number;
        d: number;
    };
}
type TrailParticle = Particle & {
    trail?: TrailStep[];
    trailFade?: boolean;
    trailLength?: number;
    trailMaxWidth?: number;
    trailMinWidth?: number;
    trailTransform?: boolean;
};
export declare class TrailDrawer implements IEffectDrawer<TrailParticle> {
    draw(data: IShapeDrawData<TrailParticle>): void;
    particleInit(container: Container, particle: TrailParticle): void;
}
export {};
