(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "@tsparticles/engine", "./TrailDrawer.js"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.loadTrailEffect = loadTrailEffect;
    const engine_1 = require("@tsparticles/engine");
    const TrailDrawer_js_1 = require("./TrailDrawer.js");
    async function loadTrailEffect(engine, refresh = true) {
        (0, engine_1.assertValidVersion)(engine, "3.7.1");
        await engine.addEffect("trail", new TrailDrawer_js_1.TrailDrawer(), refresh);
    }
});
